We have upgraded the community system as part of the upgrade a password reset is required for all users before login in.

wireguard not install



  • hi, i have a problem with wireguard i can't install it on omega2 + and omega2 pro. this is the error message:

    opkg install wireguard

    Installing wireguard (1.0.20200611-1) to root...
    Downloading http://downloads.openwrt.org/releases/18.06-SNAPSHOT/packages/mipsel_24kc/base/wireguard_1.0.20200611-1_mipsel_24kc.ipk

    Collected errors:

    • satisfy_dependencies_for: Cannot satisfy the following dependencies for wireguard:
    • kernel (= 4.14.206-1-da4f999cff891c50c6d11774cc24f4e2) * kernel (= 4.14.206-1-da4f999cff891c50c6d11774cc24f4e2) * kernel (= 4.14.206-1-da4f999cff891c50c6d11774cc24f4e2) *
    • opkg_install_cmd: Cannot install package wireguard.


  • @fpigliacelli The error is a kernel version dependency check, but you can try to bypass it by forcing the install.

    opkg --force-depends install kmod-wireguard
    opkg --force-depends install wireguard

    The alternative solution is to use the build system but i did a quick test and the above worked for me.



  • the packages seem to be installed but i can't find the kernel modules, wireguard as a client doesn't work



  • @fpigliacelli lsmod command will list the installed modules. Please be more specific about your issue, "wireguard as a client doesn't work" could mean anything. Is your computer turned on? How are you trying to run the client? What are you trying to connect to? What is the output of any command? What messages do you have in the logs?

    It's hard to know how to help without sufficient information.



Looks like your connection to Community was lost, please wait while we try to reconnect.